Lavalite package that provides announcement management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `kscc/announcement`.

    "kscc/announcement": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Kscc\Announcement\Providers\AnnouncementServiceProvider::class,

And also add it to alias

    'Announcement'  => Kscc\Announcement\Facades\Announcement::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Kscc\\AnnouncementTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Kscc\Announcement\Providers\AnnouncementServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Kscc\Announcement\Providers\AnnouncementServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Kscc\Announcement\Providers\AnnouncementServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/announcement/{modulename}

**User**

    http://path-to-route-folder/user/announcement/{modulename}

**Public**

    http://path-to-route-folder/announcements


### API endpoints

**List**

    http://path-to-route-folder/api/user/announcement/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/announcement/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/announcement/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/announcement/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/announcement/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/announcement/{modulename}/{slug}
    METHOD: GET