<?php

// API routes  for announcement
Route::prefix('{guard}/announcement')->group(function () {
    Route::get('announcement/form/{element}', 'AnnouncementAPIController@form');
    Route::resource('announcement', 'AnnouncementAPIController');
});

// Public routes for announcement
Route::get('announcements/', 'AnnouncementPublicController@index');
Route::get('announcements/{slug?}', 'AnnouncementPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for announcements
            Route::prefix('{guard}/announcement')->group(function () {
                Route::get('announcement/form/{element}', 'AnnouncementAPIController@form');
                Route::apiResource('announcement', 'AnnouncementAPIController');
            });
            // Public routes for announcements
            Route::get('announcement/Announcement', 'AnnouncementPublicController@getAnnouncement');
        }
    );
}

