<?php

// web routes  for announcement
Route::prefix('{guard}/announcement')->group(function () {
    Route::resource('announcement', 'AnnouncementResourceController');
});

// Public routes for announcement
Route::get('announcements/', 'AnnouncementPublicController@index');
Route::get('announcements/{slug?}', 'AnnouncementPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AnnouncementResourceController');
            });
            // Public routes for pages
            Route::get('announcements/', 'AnnouncementPublicController@index');
            Route::get('announcements/{slug?}', 'AnnouncementPublicController@show');
        }
    );
}

