<?php

namespace Kscc\Announcement;

use User;

class Announcement
{
    /**
     * $announcement object.
     */
    protected $announcement;

    /**
     * Constructor.
     */
    public function __construct(\Kscc\Announcement\Interfaces\AnnouncementRepositoryInterface $announcement)
    {
        $this->announcement = $announcement;
    }

    /**
     * Returns count of announcement.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.announcement.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->announcement->pushCriteria(new \Litepie\Kscc\Repositories\Criteria\AnnouncementUserCriteria());
        }

        $announcement = $this->announcement->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('announcement::' . $view, compact('announcement'))->render();
    }
}
