<?php

namespace Kscc\Announcement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AnnouncementTransformer extends TransformerAbstract
{
    public function transform(\Kscc\Announcement\Models\Announcement $announcement)
    {
        return [
            'id'                => $announcement->getRouteKey(),
            'key'               => [
                'public'    => $announcement->getPublicKey(),
                'route'     => $announcement->getRouteKey(),
            ], 
            'slug'              => $announcement->slug,
            'name'              => $announcement->name,
            'details'           => $announcement->details,
            'files'             => $announcement->files,
            'user_id'           => $announcement->user_id,
            'user_type'         => $announcement->user_type,
            'deleted_at'        => $announcement->deleted_at,
            'url'               => [
                'public'    => trans_url('announcement/'.$announcement->getPublicKey()),
                'user'      => guard_url('announcement/announcement/'.$announcement->getRouteKey()),
            ], 
            'status'            => trans('app.'.$announcement->status),
            'created_at'        => format_date($announcement->created_at),
            'updated_at'        => format_date($announcement->updated_at),
        ];
    }
}